summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Petar Petrov2018-01-12 22:51:40 +0100
committer Willy Sudiarto Raharjo2018-01-13 01:13:05 +0100
commit79d1caba144638334721eaa4fcc54942f45432dd (patch)
treeae6b5928cbe4581745c803cc6cdfa27af715c573
parent057d02047545e92707d9f56273287ce2b431805d (diff)
downloadslackbuilds-79d1caba144638334721eaa4fcc54942f45432dd.tar.gz
academic/trfind: Added (Tandem repeats finder: analyze DNA seqs).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--academic/trfind/LICENSE13
-rw-r--r--academic/trfind/README17
-rw-r--r--academic/trfind/References5
-rw-r--r--academic/trfind/slack-desc19
-rw-r--r--academic/trfind/trfind.SlackBuild75
-rw-r--r--academic/trfind/trfind.info10
6 files changed, 139 insertions, 0 deletions
diff --git a/academic/trfind/LICENSE b/academic/trfind/LICENSE
new file mode 100644
index 0000000000..b6b961ef0b
--- /dev/null
+++ b/academic/trfind/LICENSE
@@ -0,0 +1,13 @@
+Tandem Repeats Finder License Terms
+
+The author of this software grants to any individual or organization the
+right to use and to make an unlimited number of copies of this software.
+
+You may not de-compile, disassemble, reverse engineer, or modify the
+software. This software cannot be sold, incorporated into commercial
+software or redistributed. The author of this software accepts no
+responsibility for damages resulting from the use of this software and
+makes no warranty or representation, either express or implied,
+including but not limited to, any implied warranty of merchantability or
+fitness for a particular purpose. This software is provided as is, and
+the user assumes all risks when using it.
diff --git a/academic/trfind/README b/academic/trfind/README
new file mode 100644
index 0000000000..000e646a2d
--- /dev/null
+++ b/academic/trfind/README
@@ -0,0 +1,17 @@
+Tandem repeats finder: a program to analyze DNA sequences
+
+A tandem repeat in DNA is two or more adjacent, approximate copies of a
+pattern of nucleotides. Tandem Repeats Finder is a program to locate and
+display tandem repeats in DNA sequences. In order to use the program,
+the user submits a sequence in FASTA format.
+
+Example usage:
+trf hg38.fasta 2 5 7 80 10 50 2000 -l 6
+
+LICENSE:
+Please read the License Terms before downloading:
+https://tandem.bu.edu/trf/trf.license.html
+
+Please cite:
+G. Benson "Tandem repeats finder: a program to analyze DNA sequences"
+Nucleic Acids Research (1999) Vol. 27, No. 2, pp. 573-580.
diff --git a/academic/trfind/References b/academic/trfind/References
new file mode 100644
index 0000000000..49e0e6cf56
--- /dev/null
+++ b/academic/trfind/References
@@ -0,0 +1,5 @@
+Please cite:
+G. Benson,
+"Tandem repeats finder: a program to analyze DNA sequences"
+Nucleic Acids Research (1999)
+Vol. 27, No. 2, pp. 573-580.
diff --git a/academic/trfind/slack-desc b/academic/trfind/slack-desc
new file mode 100644
index 0000000000..d94bdf10d2
--- /dev/null
+++ b/academic/trfind/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+trfind: trfind (Tandem repeats finder: a program to analyze DNA sequences)
+trfind:
+trfind: Tandem Repeats Finder is a program to locate and display tandem
+trfind: repeats in DNA sequences.
+trfind:
+trfind: Home: https://tandem.bu.edu/trf/trf.html
+trfind:
+trfind:
+trfind:
+trfind:
+trfind:
diff --git a/academic/trfind/trfind.SlackBuild b/academic/trfind/trfind.SlackBuild
new file mode 100644
index 0000000000..0a177ec0d2
--- /dev/null
+++ b/academic/trfind/trfind.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for trfind
+
+# Copyright 2018 Petar Petrov slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=trfind
+VERSION=${VERSION:-4.09}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=trf
+BINVER=409
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i386 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+if [ "$ARCH" != "i386" ] && [ "$ARCH" != "x86_64" ]; then
+ printf "\n\n$ARCH is not supported... \n"
+ exit 1
+fi
+
+# Determine binary architecture
+if [ "$ARCH" = "x86_64" ]; then
+ BINARCH="linux64"
+else
+ BINARCH="linux32"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+install -D -m755 $CWD/${SRCNAM}${BINVER}.${BINARCH} $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+cat $CWD/LICENSE > $PKG/usr/doc/$PRGNAM-$VERSION/LICENSE
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/trfind/trfind.info b/academic/trfind/trfind.info
new file mode 100644
index 0000000000..2dfb07986d
--- /dev/null
+++ b/academic/trfind/trfind.info
@@ -0,0 +1,10 @@
+PRGNAM="trfind"
+VERSION="4.09"
+HOMEPAGE="https://tandem.bu.edu/trf/trf.html"
+DOWNLOAD="http://tandem.bu.edu/trf/downloads/trf409.linux32"
+MD5SUM="285478f16f417d6e9c9700f556373e43"
+DOWNLOAD_x86_64="http://tandem.bu.edu/trf/downloads/trf409.linux64"
+MD5SUM_x86_64="0c594fe666e0332db1df9d160d7fabc8"
+REQUIRES=""
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"